## dbconfig-common 1.8.11

=== debian/changelog ===
dbconfig-common (1.8.11) unstable; urgency=low

  [sean finney]
  * arrgh.  mysql 5.0 has changed the output from SHOW GRANTS, so
    we need to have a slightly more liberal grep statement in
    dbc_mysql_check_user().  the positive side of this is that
    this also gives the local admin to restrict the privileges
    of the db user, i guess....

 -- sean finney <seanius@debian.org>  Fri, 06 Jan 2006 09:46:06 +0100

dbconfig-common (1.8.10) unstable; urgency=high

  [sean finney]
  * dbc was not telling dbconfig-generate-include to register output
    files with ucf, and thus bad things could happen for people who
    wanted to configure their systems manually, or otherwise customize
    such files.  this causes rc behavior in packages that use dbc, so
    the urgency is thus set to high (closes: #343691).
  * updated Danish debconf translations from 
    Claus Hindsgaul (closes: #343609).

  [christian perrier]
  * corrected typo in French translation

 -- sean finney <seanius@debian.org>  Tue, 20 Dec 2005 01:03:07 +0100

dbconfig-common (1.8.9) unstable; urgency=low

  [sean finney]
  * unregister questions at dpkg purge time.
  * provide a new -C option for d-g-i to "comment out" unset options.
  [translations]
  * updated swedish translations from daniel nylander (closes: #341631).
  * updated vietnamese translations from clytie siddall (closes: #341947).

 -- sean finney <seanius@debian.org>  Mon, 05 Dec 2005 11:00:59 +0100

dbconfig-common (1.8.8) unstable; urgency=low

  [Sean Finney]
  * import documentation into debiandoc format, and update build-depends
    accordingly.
  * new swedish debconf translations from daniel nylander (closes: #339784).
  * dbconfig-generate-include was accidentally bailing out when -U
    was invoked.  fixed thanks to Matthijs Mohlmann (closes: #339881).
  * Thijs Kinkhorst pointed out that the manpages/help output would
    recommend calling d-g-i and d-l-i with optional arguments like
    "-t [varname]", when in fact it will not work unless invoked
    "-t[varname]" (closes: #341028).
  * also from Thijs: mandate that a format is chosen with d-l-i.

  [Christian Perrier]
  * Make Choices translatable in debconf templates
    Closes: #338342

 -- sean finney <seanius@debian.org>  Sat, 19 Nov 2005 21:12:03 +0100

dbconfig-common (1.8.7) unstable; urgency=low

  * Tobias Grimm noticed that internal/mysql/dbc_mysql_exec_file()
    didn't properly catch/return error values.  fixed.
  * dbconfig-generate-include and dbconfig-load-include didn't actually 
    implement --dbname.  fixed.
  * don't flash the message about importing old settings if a
    program is being installed for the first time.
  * initial support for an "ignore" option during installation, to
    give the admin a way to bludgeon us into submission if we cause
    the package to get into some kind of uninstallable/unremovable wedge
    state, or if the admin tries to install the same version twice.  
    thanks to craig small for the suggestion (closes: #333611).
  * an "improvement" to the upgrade logic, so dbc won't get clever and
    try and do stuff it shouldn't during an upgrade.

 -- sean finney <seanius@debian.org>  Mon, 07 Nov 2005 20:17:40 +0100

dbconfig-common (1.8.6) unstable; urgency=low

  [ sean finney ]
  * with multidb support, subsequent installs would override the
    chosen dbtype and default to what the autodetection found.  thanks
    to Craig Small for pointing this out (closes: #333109).
  * similar to above, dbc_authmethod_user was being overridden by
    a "default" value.  fixed.
  * in pgsql, if dbc_authmethod_admin is ident and dbc_authmethod_user
    is set to password, the admin would be prompted on the terminal
    for the dbuser's password because of a bug in internal/pgsql.
  * removed duplicate and unneccesary call to mktemp in _dbc_psql.
  * Translations:
    - updated Czech translations from Miroslav Kure.
    - updated Portuguese translations from Miguel Figueiredo.
    - updated Vietnamese translations from Clytie Siddall.
    - updated Dutch translation from Bart Cornelis

  [ Christian Perrier ]
  * Translations:
    - updated French translations by the French team. Closes: #331616

 -- sean finney <seanius@debian.org>  Tue, 11 Oct 2005 08:32:57 +0200

dbconfig-common (1.8.5) unstable; urgency=low

  * Sean Finney:
    - make sure *all* cvs directories are removed from the final
      package.  thanks to Tim Olsen for pointing a few had slipped
      through (closes: #325745).
    - the postgres user now defaults to /bin/false as a shell, so
      we explicitly add '-s /bin/sh' when su'ing to postgres.  thanks
      to Craig Small for finding this.
    - added "-c" option to credit-xlators for my own convenience.
    - debconf template updates.
    - there was some leakage/spillage of the dbc_dbname environment
      variable that messed things up for postgres users.  this should
      fix that issue.  thanks to Craig Small for all the help 
      (closes: #329730).
  * Bart Cornelis:
    - Spelling fixes and some translations for new strings sent in by
      Thijs Kinkhorst.
  * Translations:
    - updated Danish translation by Claus Hindsgaul.
    - updated German translation by Andreas Tille.

 -- sean finney <seanius@debian.org>  Tue, 27 Sep 2005 15:18:55 +0200

dbconfig-common (1.8.4) unstable; urgency=low

  * Sean Finney:
    - add support for 'template' output format in dbc_generate_include.
    - dbc no longer provides preinst hooks, as we can't promise
      dbconfig-common will be there without pre-depends.  turns out
      there was a more graceful way to handle what we wanted to do
      in there anyway.  also updated example packages accordingly.
      thanks to Miguel (as well as Marc 'HE' Brockschmidt)
      for finding this (closes: #323620).
    - updated vi.po fro clytie siddall (closes: #322281).

 -- sean finney <seanius@debian.org>  Thu, 25 Aug 2005 15:41:02 +0200

dbconfig-common (1.8.3) unstable; urgency=low


