=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TMPDIR:=debian/dbconfig-common
SHARE=${TMPDIR}/usr/share/dbconfig-common
DOC=${TMPDIR}/usr/share/doc/dbconfig-common

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
	make -C doc

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 
	debconf-updatepo
	make -C doc clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_installdocs
	debian/credit-xlators > ${DOC}/TRANSLATORS
	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
	mkdir -p debian/dbconfig-common/etc/dbconfig-common
	cp -Pr dpkg debian/dbconfig-common/usr/share/dbconfig-common/
	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
	find debian/dbconfig-common -type d -name CVS -exec rm -rf "{}" \; -prune

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs 
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress -Xusr/share/doc/dbconfig-common/examples
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
