=== examples/db-example-2.1/debian/rules ===
#!/usr/bin/make -f
# debian/rules for test-installdb package, by
# sean finney <seanius@debian.org>
#
# modified from:
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-indep build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

build-indep:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#
	# db-test-mysql needs the sql skeleton/upgrade here:
	#
	cp install-files/mysql.sql debian/db-test-mysql/usr/share/dbconfig-common/data/db-test-mysql/install/mysql
	# and the upgrade file
	cp upgrade-files/db-test-mysql-2.1.sql debian/db-test-mysql/usr/share/dbconfig-common/data/db-test-mysql/upgrade/mysql/2.1
	#
	# db-test-pgsql needs the sql skeleton/upgrade here:
	#
	cp install-files/pgsql.sql debian/db-test-pgsql/usr/share/dbconfig-common/data/db-test-pgsql/install/pgsql
	# and the upgrade file
	cp upgrade-files/db-test-pgsql-2.1.sql debian/db-test-pgsql/usr/share/dbconfig-common/data/db-test-pgsql/upgrade/pgsql/2.1
	#
	# db-test needs both of the files, since it can work with both
	#
	cp install-files/mysql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/mysql
	cp install-files/pgsql.sql debian/db-test/usr/share/dbconfig-common/data/db-test/install/pgsql
	# and the upgrade files
	cp upgrade-files/db-test-pgsql-2.1.sql debian/db-test/usr/share/dbconfig-common/data/db-test/upgrade/pgsql/2.1
	cp upgrade-files/db-test-mysql-2.1.sql debian/db-test/usr/share/dbconfig-common/data/db-test/upgrade/mysql/2.1
	#
	# and finally, db-test-mysql-perl uses these perl scripts:
	#
	cp install-files/mysql-install.pl debian/db-test-mysql-perl/usr/share/dbconfig-common/scripts/db-test-mysql-perl/install/mysql
	cp upgrade-files/mysql-upgrade-2.1.pl debian/db-test-mysql-perl/usr/share/dbconfig-common/scripts/db-test-mysql-perl/upgrade/mysql

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install configure
