## dbconfig-common 1.8.25ubuntu1

=== debian/changelog ===
dbconfig-common (1.8.25ubuntu1) edgy; urgency=low

  * dpkg/common: move pgsql/authmethod-admin and pgsql/authmethod-user
    into dbc_standard_templates so that they are known about for later use
    in dbc_preseed_package_debconf for all database types.
    (Closes Malone #65616)  See Debian #391997.

 -- Kees Cook <kees@ubuntu.com>  Thu, 19 Oct 2006 15:03:27 -0700

dbconfig-common (1.8.25) unstable; urgency=high

  * fixed bugs found by Finn Smith:
    - multidbtype packages would fail to install if the admin declined 
      our help (closes: #391160).
    - preseed values for dbc_authmethod_foo were being ignored for
      multidbtype packages (closes: #391997).
    - don't bother offering our assistance at purge time if the admin
      never opted for our help in the first place.
  * previous version hasn't made it to testing, <=> urgency stays high.

 -- sean finney <seanius@debian.org>  Tue, 10 Oct 2006 11:30:34 +0200

dbconfig-common (1.8.24) unstable; urgency=high

  * updated spanish debconf translations from Javier Fernández-Sanguino Peña 
    (closes: #391557)
  * don't try to chown a non-existant file in _dbc_pg_dump().  thanks to
    Torsten Werner for finding this (closes: #391379).
  * rc bugfix <=> high priority.

 -- sean finney <seanius@debian.org>  Sat, 07 Oct 2006 14:37:48 +0200

dbconfig-common (1.8.23) unstable; urgency=low

  * Thijs Kinkhorst noticed a discrepancy in the documenation about
    the config file later on in the documenation.  also, since 
    dbconfig-common depends on debconf, it's not necessary for the
    package in question to depend on debconf if it doesn't explicitly
    need it (closes: #388249).

 -- sean finney <seanius@debian.org>  Tue, 19 Sep 2006 14:33:55 +0200

dbconfig-common (1.8.22) unstable; urgency=low

  [ sean finney ]
  * added note about needing to check for dbconfig-common in the config
    script before sourcing the shell library (for situations where
    apt or similar utilities preconfigure the package before dependencies
    are unpacked).
  * updated examples as well.
  * updated build-depends to include po-debconf
  * updated danish translations by Claus Hindsgaul (closes: #385688).
  * updated czech translations by Miroslav Kure (closes: #386022).

  translations 
  * Updated Dutch translations by Bart Cornelis

 -- sean finney <seanius@debian.org>  Mon, 18 Sep 2006 21:12:08 +0200

dbconfig-common (1.8.21) unstable; urgency=low

  [sean finney]
  * fix sourcing incorrect shell library in sqlite example, and make
    check for ucf in purge section.
  * make sure all sh references to /dev/stderr go to &2 instead.  thanks
    to Aidas Kasparas for finding this (closes: #383988).

  [Matt Brown]
  * Default the basepath for creating sqlite databases to
    /var/lib/dbconfig-common/sqlite/<pkgname>
  * Set the permissions on the basepath to match those of the dbfile.

 -- sean finney <seanius@debian.org>  Mon, 21 Aug 2006 23:30:03 +0200

dbconfig-common (1.8.20) unstable; urgency=low

  [ sean finney ]
  * added more information about what needs to be done by packagers
    wrt the postrm script hooks.
  * added some additional overrides for the new sample packages.

  [ Matt Brown ]
  * Added support for SQLite databases. closes: #379796.

  translations
  * Updated Dutch translation by Bart Cornelis.

 -- sean finney <seanius@debian.org>  Sat, 19 Aug 2006 00:37:25 +0200

dbconfig-common (1.8.19) unstable; urgency=high

  [ sean finney ]
  * dbconfig-common and the documentation/examples were not policy complaint
    wrt the postrm script hooks.  thanks to Anthony DeRobertis for catching
    this before it was too late.  this fixes an RC bug report with
    dbconfig-common, so urgency=high.  bugs may need to be filed
    seperately against packages that used the examples verbatim.
  * incorporate the "frontend" feature for read-only packages, where
    someone may want to ask the questions but not take the actions.
    see docs for details.  thanks to Thomas Huriaux and Michael
    Ablassmeier for the prompting on this one.  closes: #373188.
  * when doing upgrades, only ask for the administrative password
    if there are upgrades to be applied.  thanks to Michael Ablassmeier
    for pointing this out.  closes: #379730.
  * merge debian/TODO and TODO into just TODO.
  * dbconfig-generate-include was using tempfiles without removing
    them afterwards.  thanks to Thijs Kinkhorst for pointing this out.
  * change dbconfig-generate-include to respect permissions that are
    locally modified via dpkg-statoverride.  thanks to Thijs Kinkhorst
    and Matt Brown for realizing this.
  * no longer depend on pwgen(1) for generating random passwords, and
    instead use sed and cut from /dev/urandom.
  * new spanish debconf translation from Javier Fernández-Sanguino Peña
    closes: #382969.

 -- sean finney <seanius@debian.org>  Tue, 15 Aug 2006 08:27:04 +0200

dbconfig-common (1.8.18) unstable; urgency=low

  [ sean finney ]
  * no longer end php-style generated files with a ?>, as it's 
    superfluous and can reportedly cause problems (closes: #379979).
    thanks to Thijs Kinkhorst for pointing this out.
  * other changes/fixes from Thijs Kinkhorst:
    - utf8 fix in changelog
    - update standards version to 3.7.2
    - lintian overrides for false-positives due to the example packages
    closes: #380353
  * updated danish debconf translations from Claus Hindsgaul, thanks.
    closes: #378769
  * fixed/improved pgsql authentication method autodetection.
  * new db-test-pgsql-migration-{1.9,2.0} packages to both show and
    test how to migrate from previous non-dbc packaging.
  * fix for sh-format include files from dbconfig-load-include.  thanks
    to Torsten Werner for finding this problem.
  * remove import-oldsettings template, i don't think the need
    merits having it.
  * packages that migrate to dbconfig-common no longer get the confusing
    installation question.

