=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
-Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, tetex-extra
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
+Standards-Version: 3.7.2
 
 Package: dbconfig-common
 Architecture: all
-Depends: ucf, pwgen, ${misc:Depends}
+Depends: ucf, ${misc:Depends}
 Suggests: virtual-mysql-client | mysql-client | postgresql-client
 Description: common framework for packaging database applications
  dbconfig-common presents a policy and implementation for
