## dbconfig-common 1.8.29+etch1~bpo.1

=== debian/changelog ===
dbconfig-common (1.8.29+etch1~bpo.1) sarge-backports; urgency=low

  * Rebuild for Debian Backports <http://www.backports.org/>.

 -- Daniel Baumann <daniel@debian.org>  Thu,  8 Mar 2007 00:00:00 +0100

dbconfig-common (1.8.29+etch1) testing-proposed-updates; urgency=low

  * backported translations and a rather nasty fix targeted for etch.
  * tons of new/updated translations:
    * Swedish, thanks to Andreas Henriksson and Daniel Nylander.
    * Galician, thanks to Jacobo Tarrio.
    * Portuguese, thanks to Miguel Figueiredo.
    * Norwegian Bokmål, thanks to Bjørn Steensr.
    * Italian, thanks to Giuseppe Sacco.
    * Korean, thanks to Sunjae Park.
    * Russian, thanks to Yuriy Talakan'.
    * German, thanks to Helge Kreutzmann.
  * another dpkg order-of-operations corner case: if unpacked but not
    (pre-)configured, our debconf templates aren't registered yet, so
    if some dependant package tries to use us in such a state (i.e. its
    config is run before ours), fail gracefully and let its postinst
    script pick up the work with a second config run.

 -- sean finney <seanius@debian.org>  Wed, 07 Mar 2007 20:37:04 +0100

dbconfig-common (1.8.29) unstable; urgency=medium

  * Fabio Tranchitella discovered that in some environments passwords
    could be generated with illegal UTF8 characters.  the fix was simple
    enough, anyway, thanks.  Closes: #397288.

 -- sean finney <seanius@debian.org>  Sat, 11 Nov 2006 17:58:57 +0100

dbconfig-common (1.8.28) unstable; urgency=low

  * update package decscription to include mention of sqlite support.
  * preseeding values were still being dropped if debconf priority
    was set to >= high.  should be fixed now.  thanks to Finn Smith
    for his continued vigilance :)

 -- sean finney <seanius@debian.org>  Mon, 30 Oct 2006 14:05:46 +0100

dbconfig-common (1.8.27) unstable; urgency=high

  * the "patch to fix the patch to fix the patch to fix the bug" release
  * unregistered pgsql questions were being asked even in mysql packages,
    causing confusion, breakage, chaos, riots, etc.  fixed.
    closes: #393124.

 -- sean finney <seanius@debian.org>  Sun, 15 Oct 2006 18:42:24 +0200

dbconfig-common (1.8.26) unstable; urgency=high

  * the previous upload included a changelog entry that closed the
    wrong bug.  it should have read "(closes: #391960)".
  * preseeding for apt-preconfigured packages was broken, at the very
    least for multidbtype packages but i suspect it was completely
    broken.  should be fixed now.  (closes: #392681).
  * previous version hasn't made it to testing, and these are all nasty
    bugs we want out of etch <=> urgency stays high.
  * Updated Catalan debconf template

 -- sean finney <seanius@debian.org>  Fri, 13 Oct 2006 10:29:34 +0200
