=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
+Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
 Standards-Version: 3.7.2
 
@@ -15,7 +16,7 @@
  debian packages.
  .
  dbconfig-common can:
-  * support mysql and postgresql based applications
+  * support mysql, postgresql, and sqlite based applications
   * create databases and database users
   * access local or remote databases
   * upgrade/modify databases when upstream changes database structure
