=== examples/db-test-pgsql-migration-1.9/debian/control ===
Source: db-common-example
Section: misc
Priority: optional
Maintainer: sean finney <seanius@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: db-test-pgsql-migration
Architecture: all
Recommends: postgresql
Description: a package to test dbconfig-common (migration version)
 this is a package to test the dbconfig-common package.  
 .
 this version should work with postgresql database servers, and
 also illustrates how to migrate a package that was previously
 not using dbconfig-common.
