=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 build: build-stamp
-	make -C doc
+	if test -z "$$dbc_debug"; then make -C doc; fi
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -39,7 +39,7 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	dh_installdocs
+	if test -z "$$dbc_debug"; then dh_installdocs; fi
 	debian/credit-xlators > ${DOC}/TRANSLATORS
 	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
 	mkdir -p debian/dbconfig-common/etc/dbconfig-common
@@ -47,7 +47,10 @@
 	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
 	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
 	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
-	find debian/dbconfig-common -type d -name CVS -exec rm -rf "{}" \; -prune
+	mkdir -p debian/dbconfig-common/usr/share/lintian/overrides
+	cp -a debian/dbconfig-common.lintian \
+	      debian/dbconfig-common/usr/share/lintian/overrides/dbconfig-common
+
 
 # Build architecture-independent files here.
 binary-indep: build install
