## dbconfig-common 1.8.29+etch1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: admin
 Priority: optional
 Maintainer: sean finney <seanius@debian.org>
-Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 4.0.0), debiandoc-sgml, po-debconf, tetex-extra, gs
 Standards-Version: 3.7.2
