## dbconfig-common 1.8.30

=== debian/changelog ===
dbconfig-common (1.8.30) unstable; urgency=medium

  * remove some "-a" and "-o" bashisms.
  * dbconfig-load-include now returns the exit status of the "exec"
    format (where the output is based on running a script), if appropriate.
    thanks to Matt Brown for the patch (closes: #397089).
  * single-quote settings in /etc/dbconfig-common/package.conf instead
    of double-quoting them, and make sure any single quotes in the
    settings are properly escaped when written.
  * escape SQL-sensitive character sequences in passwords for user 
    creation SQL snippits.
  * escape shell/sed sensitive character sequences that are used in 
    dbconfig-generate-include (closes: #405598).
  * another dpkg order-of-operations corner case: if unpacked but not
    (pre-)configured, our debconf templates aren't registered yet, so
    if some dependant package tries to use us in such a state (i.e. its
    config is run before ours), fail gracefully and let its postinst
    script pick up the work with a second config run.

 -- sean finney <seanius@debian.org>  Sun, 21 Jan 2007 20:14:36 +0100
