## dbconfig-common 1.8.35

=== debian/changelog ===
dbconfig-common (1.8.35) unstable; urgency=low

  * New Mayalalam debconf translations from Praveen A (closes: #426220).
  * Updated Vietnamese debconf translations from Clytie Siddall 
    (closes: #426841).
  * initial attempt at handling more gracefully situations where a
    database was not installed before the package was installed.  The
    text is not yet marked translatable since i don't think it's final yet.
  * do some more under-the-hood stuff for multi-instance support in the up
    and coming webapps-common package.
  * make sure the _DBC_DBSERVER_ substitution in d-g-i does not result in an 
    empty string, as is done elsewhere.  thanks to Stefano Zacchiroli for
    the patch (closes: #429841).
  * clean up an extra tmpfile that wasn't being deleted by d-g-i, thanks
    again to Stefano for the patch (closes: #429854).

 -- sean finney <seanius@debian.org>  Mon, 18 Jun 2007 18:15:29 +0100

dbconfig-common (1.8.34) unstable; urgency=low

  * new support for sqlite3, thanks to the patch from Vincent Bernat!
    (closes: #425262).
  * create leading elements of purge-time data dump, if necessary.

 -- sean finney <seanius@debian.org>  Sun, 20 May 2007 23:13:33 +0200

dbconfig-common (1.8.33) unstable; urgency=low

  * include a long-neglected fix from Adam Lebsack, which seems to fix the
    problems prevents dbconfig-common from working with dash (closes: #406127).
    this was also likely the cause of dbconfig appearing to attempt creating
    the database/user in the wrong order (closes: #418479).
  * remove some extra straggler bashisms, and use printf instead of echo
    for the dbc_log functions.
  * change function names for some internal debugging/logging functions.
  * now dbc defaults to logging to /var/log/dbconfig-common/dbc.log, which
    can perhaps make it a bit easier to get debugging info from folks who
    experience bugs.

 -- sean finney <seanius@debian.org>  Sun, 13 May 2007 15:06:01 +0200

dbconfig-common (1.8.32) unstable; urgency=low

  * incorporated the suggested grammatical corrections to debconf templates,
    doing my best to avoid fuzzying current translations.  thanks to
    Helge Kreutzmann for finding these (closes: #400784).
  * fixed random password generating code so that passwords are always
    12 characters long.  previously a newline character from /dev/urandom
    could cause it to be truncated.
  * correction version number in sample sql script for the db-test-mysql-2.1
    example package.  thanks to Niko Tyni (closes: #421009).
  * fixed typo in french debconf translations, thanks to Frédéric Bothamy
    for pointing this out (closes: #422196).
  * small fix for created nested subdirectories, which will be used by
    the soon-coming webapps-common package.

 -- sean finney <seanius@debian.org>  Sat, 12 May 2007 14:41:27 +0200

dbconfig-common (1.8.31) unstable; urgency=low

  * tons of new/updated translations:
    * Swedish, thanks to Andreas Henriksson and Daniel Nylander
      (closes: #407852, #412012).
    * Galician, thanks to Jacobo Tarrio (closes: #412025).
    * Portuguese, thanks to Miguel Figueiredo (closes: #412177).
    * Norwegian Bokmål, thanks to Bjørn Steensrud (closes: #412308).
    * Italian, thanks to Giuseppe Sacco (closes: #412172).
    * Korean, thanks to Sunjae Park (closes: #412780).
    * Russian, thanks to Yuriy Talakan' (closes: #412788).
    * German, thanks to Helge Kreutzmann (closes: #400799).

 -- sean finney <seanius@debian.org>  Sun, 04 Mar 2007 12:59:08 +0100
