=== debian/rules ===
--- 
+++ 
@@ -41,16 +41,15 @@
 	dh_installdirs
 	if test -z "$$dbc_debug"; then dh_installdocs; fi
 	debian/credit-xlators > ${DOC}/TRANSLATORS
-	install -m 644 AFL debian/dbconfig-common/usr/share/doc/dbconfig-common/
-	mkdir -p debian/dbconfig-common/etc/dbconfig-common
-	cp -Pr dpkg debian/dbconfig-common/usr/share/dbconfig-common/
-	cp -Pr internal debian/dbconfig-common/usr/share/dbconfig-common/
-	cp -P dbconfig-generate-include debian/dbconfig-common/usr/sbin/
-	cp -P dbconfig-load-include debian/dbconfig-common/usr/sbin/
-	mkdir -p debian/dbconfig-common/usr/share/lintian/overrides
+	install -m 644 AFL ${TMPDIR}/usr/share/doc/dbconfig-common/
+	mkdir -p ${TMPDIR}/etc/dbconfig-common
+	cp -Pr dpkg ${TMPDIR}/usr/share/dbconfig-common/
+	cp -Pr internal ${TMPDIR}/usr/share/dbconfig-common/
+	cp -P dbconfig-generate-include ${TMPDIR}/usr/sbin/
+	cp -P dbconfig-load-include ${TMPDIR}/usr/sbin/
+	mkdir -p ${TMPDIR}/usr/share/lintian/overrides
 	cp -a debian/dbconfig-common.lintian \
-	      debian/dbconfig-common/usr/share/lintian/overrides/dbconfig-common
-
+	      ${TMPDIR}/usr/share/lintian/overrides/dbconfig-common
 
 # Build architecture-independent files here.
 binary-indep: build install
